org.optaplanner.core.impl.exhaustivesearch.node

## Class ExhaustiveSearchNode

- java.lang.Object
- - org.optaplanner.core.impl.exhaustivesearch.node.ExhaustiveSearchNode

-     public class ExhaustiveSearchNode
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExhaustiveSearchNode(ExhaustiveSearchLayer layer, ExhaustiveSearchNode parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBreadth()`
    `int` | `getDepth()`
    `Object` | `getEntity()`
    `ExhaustiveSearchLayer` | `getLayer()`
    `Move` | `getMove()`
    `Score` | `getOptimisticBound()`
    `ExhaustiveSearchNode` | `getParent()`
    `long` | `getParentBreadth()`
    `Score` | `getScore()`
    `String` | `getTreeId()`
    `Move` | `getUndoMove()`
    `boolean` | `isExpandable()`
    `boolean` | `isLastLayer()`
    `void` | `setExpandable(boolean expandable)`
    `void` | `setMove(Move move)`
    `void` | `setOptimisticBound(Score optimisticBound)`
    `void` | `setScore(Score score)`
    `void` | `setUndoMove(Move undoMove)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExhaustiveSearchNode

          public ExhaustiveSearchNode(ExhaustiveSearchLayer layer,
                                      ExhaustiveSearchNode parent)

  - ### Method Detail

    - #### getLayer

          public ExhaustiveSearchLayer getLayer()

    - #### getParent

          public ExhaustiveSearchNode getParent()

    - #### getBreadth

          public long getBreadth()

    - #### getMove

          public Move getMove()

    - #### setMove

          public void setMove(Move move)

    - #### getUndoMove

          public Move getUndoMove()

    - #### setUndoMove

          public void setUndoMove(Move undoMove)

    - #### getScore

          public Score getScore()

    - #### setScore

          public void setScore(Score score)

    - #### getOptimisticBound

          public Score getOptimisticBound()

    - #### setOptimisticBound

          public void setOptimisticBound(Score optimisticBound)

    - #### isExpandable

          public boolean isExpandable()

    - #### setExpandable

          public void setExpandable(boolean expandable)

    - #### getDepth

          public int getDepth()

    - #### getTreeId

          public String getTreeId()

    - #### getEntity

          public Object getEntity()

    - #### isLastLayer

          public boolean isLastLayer()

    - #### getParentBreadth

          public long getParentBreadth()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.